For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGet API key
DocumentationIntegrationsAPI Reference
DocumentationIntegrationsAPI Reference
  • API Reference
      • GETGet Agent Webhook
      • POSTCreate Or Update Agent Webhook
      • DELDelete Agent Webhook
      • GETList Agent Deliveries
      • POSTTest Agent Webhook
LogoLogo
HomeGet API key
API Referenceagent-webhooks

Get Agent Webhook

GET
https://api.agentphone.ai/v1/agents/:agent_id/webhook
GET
/v1/agents/:agent_id/webhook
1const url = 'https://api.agentphone.ai/v1/agents/agent_id/webhook';
2const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
1{
2 "id": "string",
3 "url": "string",
4 "secret": "string",
5 "status": "string",
6 "contextLimit": 1,
7 "timeout": 1,
8 "createdAt": "2024-01-15T09:30:00Z"
9}
Get the webhook configuration for a specific agent.
Was this page helpful?
Previous

Create Or Update Agent Webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Response

Successful Response
idstring
urlstring
secretstring
statusstring
contextLimitinteger
timeoutinteger
createdAtdatetime

Errors

422
Unprocessable Entity Error